Subject: bug#38167: closed (Re: bug#38167: guix pull takes over 8 GiB of memory to finish if there are no substitutes)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 09 Oct 2020 02:12:02 +0000

Your bug report

#38167: guix pull takes over 8 GiB of memory to finish if there are no substitutes

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38167: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38167
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38167: guix pull takes over 8 GiB of memory to finish if there are no substitutes
From: Maxim Cournoyer <[email-masked]>
To: Danny Milosavljevic <[email-masked]>
Cc: [email-masked], Ludovic Courtès <[email-masked]>
Date: Thu, 08 Oct 2020 22:11:20 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Danny Milosavljevic <[email-masked]> writes:

> Hi Ludo,
>
> okay, I've now (permanently) unset GUIX_PACKAGE_PATH and killed the problematic "guix pull" process.
>
> I run "guix pull" regularily.  Let's see what happens...

The 40 weeks of time that have passed since suggest the problem is now
gone :-).

Closing, but feel free to reopen if the problem persists with
GUIX_PACKAGE_PATH unset.

Thanks,

Maxim

Subject: guix pull takes over 8 GiB of memory to finish if there are no substitutes
From: Danny Milosavljevic <[email-masked]>
To: <[email-masked]>
Date: Mon, 11 Nov 2019 08:06:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

guix pull takes over 8 GiB of memory to finish if there are no substitutes.

My laptop only takes max 8 GiB of RAM.  I've set up swap, but that kind of
memory usage still seems ridiculous.